aboutsummaryrefslogtreecommitdiff
path: root/ksh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-12-27 14:11:05 +1300
committerTom Ryder <tom@sanctum.geek.nz>2016-12-27 14:11:05 +1300
commite3f9f89282434afdff95f4804cb63ebc66003ebf (patch)
tree088240f167d969ec69c17413fd49e2e7abe1ca87 /ksh
parenta8d9b02bb4479c60f9187af21ef1b02b60860016 (diff)
downloaddotfiles-e3f9f89282434afdff95f4804cb63ebc66003ebf.tar.gz
Fix an issue
End the prompt subshell with a : to reset $?
Diffstat (limited to 'ksh')
-rw-r--r--ksh/kshrc.d/prompt.ksh2
1 files changed, 1 insertions, 1 deletions
diff --git a/ksh/kshrc.d/prompt.ksh b/ksh/kshrc.d/prompt.ksh
index e082d600..904b64ef 100644
--- a/ksh/kshrc.d/prompt.ksh
+++ b/ksh/kshrc.d/prompt.ksh
@@ -20,7 +20,7 @@ function prompt {
# Add sub-commands; working directory with ~ abbreviation, VCS, job
# count, and previous command return value
- PS1=$PS1'$(ret=$?;jobc=$(jobs -p|sed -n \$=);prompt pwd;prompt vcs;prompt job;prompt ret)'
+ PS1=$PS1'$(ret=$?;jobc=$(jobs -p|sed -n \$=);prompt pwd;prompt vcs;prompt job;prompt ret;:)'
# Add prefix and suffix
PS1='${PROMPT_PREFIX}'$PS1'${PROMPT_SUFFIX}'